@RestController
@RequestMapping("/api/runbooks")
public class RunbookController
extends Object
REST-API Endpoints --
- GET /api/runbooks/{id}: Returns data from the API
- PUT /api/runbooks/{id}: Updates an entry by ID
- DELETE /api/runbooks/{id}: Deletes an entry by ID
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors
-
Method Summary
org.springframework.http.ResponseEntity<Runbook>
org.springframework.http.ResponseEntity<Void>
org.springframework.http.ResponseEntity<Runbook>
org.springframework.http.ResponseEntity<Runbook>
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
-
Method Details
-
getAll
@GetMapping
public org.springframework.http.ResponseEntity<List<Runbook>> getAll()
-
getById
@GetMapping("/{id}")
public org.springframework.http.ResponseEntity<Runbook> getById(@PathVariable
Long id)
-
create
@PostMapping
public org.springframework.http.ResponseEntity<Runbook> create(@RequestBody
Runbook item)
-
update
@PutMapping("/{id}")
public org.springframework.http.ResponseEntity<Runbook> update(@PathVariable
Long id,
@RequestBody
Runbook item)
-
deleteById
@DeleteMapping("/{id}")
public org.springframework.http.ResponseEntity<Void> deleteById(@PathVariable
Long id)